Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::StaticMethodInfo7< C, void, P0, P1, P2, P3, P4, P5, P6 > Class Template Reference

Inheritance diagram for osgIntrospection::StaticMethodInfo7< C, void, P0, P1, P2, P3, P4, P5, P6 >:

[legend]
List of all members.

## Public Types
typedef void(* | FunctionType )(P0, P1, P2, P3, P4, P5, P6)
## Public Member Functions
| StaticMethodInfo7 (const std::string &qname, FunctionType f, const ParameterInfoList &plist)
bool | isConst () const
| Returns whether the reflected method is const or not.
bool | isStatic () const
| Returns whether the reflected method is static or not.
Value | invoke (ValueList &args) const
| Invokes the reflected static method dynamically passing it the arguments as a list of Value objects.

### template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
class osgIntrospection::StaticMethodInfo7< C, void, P0, P1, P2, P3, P4, P5, P6 >

## Member Typedef Documentation

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
typedef void(* osgIntrospection::StaticMethodInfo7< C, void, P0, P1, P2, P3, P4, P5, P6 >::FunctionType)(P0, P1, P2, P3, P4, P5, P6)

## Member Function Documentation

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
Value osgIntrospection::StaticMethodInfo7< C, void, P0, P1, P2, P3, P4, P5, P6 >::invoke | ( | ValueList & | args | ) | const`[inline, virtual]`

| Invokes the reflected static method dynamically passing it the arguments as a list of Value objects. Reimplemented from osgIntrospection::MethodInfo.

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
bool osgIntrospection::StaticMethodInfo7< C, void, P0, P1, P2, P3, P4, P5, P6 >::isConst | ( |  | ) | const`[inline, virtual]`

| Returns whether the reflected method is const or not. Implements osgIntrospection::MethodInfo.

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
bool osgIntrospection::StaticMethodInfo7< C, void, P0, P1, P2, P3, P4, P5, P6 >::isStatic | ( |  | ) | const`[inline, virtual]`

| Returns whether the reflected method is static or not. Implements osgIntrospection::MethodInfo.

template<typename C, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
osgIntrospection::StaticMethodInfo7< C, void, P0, P1, P2, P3, P4, P5, P6 >::StaticMethodInfo7 | ( | const std::string & | qname,
|  | FunctionType | f,
|  | const ParameterInfoList & | plist
| ) | `[inline]`

The documentation for this class was generated from the following file:

- StaticMethodInfo